Group: Development/Java
BuildRequires: /proc
BuildRequires: jpackage-compat
Name:		    jena
Version:	    2.6.4
Release:	    alt2_5jpp7
BuildArch:	    noarch
Summary:	    Java framework for building Semantic Web applications

License:	    BSD
URL:		    http://jena.sourceforge.net/index.html
# cvs -z3 -d:pserver:anonymous@jena.cvs.sourceforge.net:/cvsroot/jena export -r Jena-2_6_4 jena2
# rm -rf jena2/lib
# rm -rf jena2/tools-lib
# tar caf jena-2.6.4-CLEAN.tar.xz jena2
Source0:	    %{name}-%{version}-CLEAN.tar.xz

# Assembly ID was commented out
Patch0:		    %{name}-fixed-assembly.patch
# Test testSameAdhocClassUS in TestLiteralImpl fails on assert
# I am communicating with upstream in regard to fix
# The patch is now not applied as other test failures happen
Patch1:		    %{name}-test-fail.patch

BuildRequires:	jpackage-utils
BuildRequires:	icu4j
BuildRequires:	jena-iri
BuildRequires:	maven
BuildRequires:	maven-dependency-plugin
BuildRequires:  maven-surefire-provider-junit4

Requires:	    jpackage-utils
Requires:	    icu4j
Requires:	    jena-iri
Source44: import.info

%description
Jena is a Java framework for building Semantic Web applications. It provides 
a programmatic environment for RDF, RDFS and OWL, SPARQL and includes a 
rule-based inference engine. The Jena Framework includes:

- A RDF API
- Reading and writing RDF in RDF/XML, N3 and N-Triples
- An OWL API
- In-memory and persistent storage
- SPARQL query engine


%package javadoc
Summary:	    API documentation for %{name}
Group:		    Development/Java
Requires:	    jpackage-utils
BuildArch: noarch

%description javadoc
The API documentation of %{name}.


%prep
%setup -qn %{name}2
%patch0 -p1

find -iname '*.jar' -delete

%build
# Some of the tests were failing randomly. I will fix this
# later, the package is needed in rawhide because it blocks
# update of maven-doap-plugin
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.skip


%install
# JAR
# Comes with submodules, they all go to the folder jena in javadir
install -Dpm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

# JavaDoc
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc copyright.txt readme.html README.txt ReleaseNotes.txt
%{_javadir}/%{name}/%{name}.jar
%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc copyright.txt 
%doc %{_javadocdir}/%{name}


%changelog
* Mon Oct 01 2012 Igor Vlasenko <viy@altlinux.ru> 2.6.4-alt2_5jpp7
- new fc release

* Tue Sep 11 2012 Igor Vlasenko <viy@altlinux.ru> 2.6.4-alt2_3jpp7
- fixed build

* Sat Mar 17 2012 Igor Vlasenko <viy@altlinux.ru> 2.6.4-alt1_3jpp7
- new version

